#include <iostream>

#include <string.h>
using namespace std;
int a[3]={1,2,5};
int minbr(int n)
{
	int i=0;
	if(n==1 || n==5 || n==2)return 1;
	if(n==3 || n==4 || n==6 || n==7)return 2;
	if(n==8|| n==9)return 3;
	if(n==0)return 0;
}

		
main()
{
	
	string s;
	getline(cin,s);
	int b[20], j=0;
	for(int i=0; i<s.size(); i++)
	{
		b[i]=(int)s[i]-48;
		j+=minbr(b[i]);
	}
	cout<<j;
}